Bug 1566764 (CVE-2017-10690) - CVE-2017-10690 puppet: Environment leakage in puppet-agent
Summary: CVE-2017-10690 puppet: Environment leakage in puppet-agent
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-10690
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1567329 1567330
Blocks: 1544318
TreeView+ depends on / blocked
 
Reported: 2018-04-13 00:03 UTC by Sam Fowler
Modified: 2019-09-29 14:37 UTC (History)
8 users (show)

Fixed In Version: puppet-agent 5.3.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:22:33 UTC

Description Sam Fowler 2018-04-13 00:03:31 UTC
puppet-agent before version 5.3.4 has an information disclosure vulnerability that allows an agent to retrieve facts from an environment that it was not classified to retrieve from.


External References:

https://puppet.com/security/cve/CVE-2017-10690


Upstream Issue:

https://tickets.puppetlabs.com/browse/PUP-8225


Upstream Patch:

https://github.com/puppetlabs/puppet/commit/bd87bef2c3862d333f4c1f2b148b147d449a375b

Comment 3 Andrej Nemec 2018-05-14 15:52:11 UTC
Statement:

This issue affects the versions of puppet-agent as shipped with Red Hat Enterprise Satellite 6.3 and later. Red Hat Product Security has rated this issue as having security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 4 errata-xmlrpc 2018-10-16 15:22:20 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.